using System;
using System.Runtime.Serialization;
using Nehta.VendorLibrary.CDA.Common;

namespace CDA.Generator.Common.SCSModel.CeHR.Enum
  {
    /// <summary>
    /// Answers Value
    /// </summary>
    [Serializable]
    [DataContract]
     public enum AnswersValue
    {
      [EnumMember]
      [Name(Code = "1", Name = "Yes", CodeSystem = "NewSouthWalesChildDevelopmentalAnswersValue")]
      Yes,

      [EnumMember]
      [Name(Code = "2", Name = "No", CodeSystem = "NewSouthWalesChildDevelopmentalAnswersValue")]
      No,

      [EnumMember]
      [Name(Code = "3", Name = "Concerns", CodeSystem = "NewSouthWalesChildDevelopmentalAnswersValue")]
      Concerns,

      [EnumMember]
      [Name(Code = "4", Name = "No Concerns", CodeSystem = "NewSouthWalesChildDevelopmentalAnswersValue")]
      NoConcerns,

      [EnumMember]
      [Name(Code = "6", Name = "Normal", CodeSystem = "NewSouthWalesChildDevelopmentalAnswersValue")]
      Normal,

      [EnumMember]
      [Name(Code = "7", Name = "Review", CodeSystem = "NewSouthWalesChildDevelopmentalAnswersValue")]
      Review,

      [EnumMember]
      [Name(Code = "8", Name = "Refer", CodeSystem = "NewSouthWalesChildDevelopmentalAnswersValue")]
      Refer

    }
  }

